/*:root {
    --screen-width: 0; /* initialize variable 
  }*/
@media screen and (min-width: 300px) and (max-width: 800px){
    html, body {
        width:var(--screen-width)px;
        font-size: 15px;
    }
    .container{
        width:100%;
        font-size: .8em;
    }
    .header-span{
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 100%;     
        font-size: 1rem;   
    }
    .header-icons{
        display: flex;
        flex-direction: row;
        width: 100%;
        font-size: .8rem;
        justify-content: center;
    }
    .span-logo {
        width: 100%;
        height: 90px;
    }    
    .span-logo img{
        width: 150px;
        height: 50px;
        /* border: 1px solid black; */    
    }
    nav ul{
      margin-top: 6px;
    }
    nav ul li a{
      font-size: 1rem;
    }

   
    .home-ul-div{
        display: flex;
        flex-direction: column;
    }

    .home-ul-div ul {
      margin: 20px;
    }

    .home-ul-div div button{
      margin: 10px;
    }

    .section-class {
        width: 90vw;
        padding: 0px 0px;
        margin: 0px 0px;
        height: 100%;
        /* overflow: auto; */
    }

    .pagination-container {
        padding: 20px;
        width: 90%;
        height: 950px;
        left: 0;
    }

    .box-container {
        display: flex;
        flex-direction: column;
        margin-top: 20px;
        height: 400px;
    }
    .section-boxes {
        margin-top: 0px;
        padding-top: 0px;
        padding-bottom: 40px;
        height: 100%;
        align-items: normal;
        justify-content: left;
    }

    .section_singlebox {

        width: 70vw;
        height: 300px;
        margin-bottom: 25px;
        

    }

    .footer_location{
        width: 95%;
        display: flex;
        flex-direction: column;
        align-items: center;
      }

      .footer{

            flex-direction: column;
      }

      .footer_hospital_logo{
        flex-direction: column;
        width: 100%;
        margin-bottom: 30px;
      }

      .footer_location1{
        align-items: center;
      }
    
      .homepage_gallery{
        margin-top: 30px;
        width: 100%;
        height: 700px;
        display: flex;
        flex-direction: column;
        position: relative;
        
      }
      .homegallery_leftimg{
        width: 100%;
        
      }
      .homegallery_leftimg img{
        width: 100%;
        height: 200px;
      }
      .homegallery_rightimg{
        margin-top: 10px;
        padding-left: 0px;
        width: 100%;
      }
      .home_gallery_label{
        top:5%;
        font-size: 1.2em;
      }
      .homegallery_rightimg .homegallery_right_topimg{
        margin-top: 10px;
        width: 100%;
      }
      .homegallery_rightimg .homegallery_right_bottomimg{
        margin-top: 10px;
        width: 100%;
      }
      .homegallery_rightimg .homegallery_right_topimg img{
        width: 100%;
        height: 200px;
      }
      .homegallery_rightimg .homegallery_right_bottomimg img{
        width: 100%;
        height: 250px;
      }
      .cashlessinsurance{
        justify-content: center;
        align-items: center;
      }
      .cashlesslogos{
        flex-direction: column;
        width: 80%;
        height: 100%;
        align-items: center;
        justify-content: center;
        /* border: 1px solid black; */
      }
      .insurancemorebtn a{
        margin-top: 10px;
        font-size: 1.4em;
      }
      .pagebody{
        width: 95vw;
        height: 100%;
        margin-left: 5px;
        margin-bottom: 20px;
        padding: 10px;
        flex-direction: column;
      }
      .pagebody .pagebody_left{
        width: 90vw;
      }

      .pagebody .pagebody_right{
        margin-top: 20px;
        padding-left: 5px;
        align-items: center;
        /* margin-bottom: 20px; */
        /* height: 110%; */
        width: 90vw;
      }
      .pagebody .pagebody_right .doctors_profile{
        height: 380px;
        align-items: center;
        /* border: 1px solid black */
      }
      .doctors_profile .book_appointment{
        /* width: 90vw; */
        /* margin-left: 150px; */
      }
      .customhight500px{
        height: 450px;
      }

      .grid-container {
        grid-template-columns: repeat(auto-fit, minmax(33%, 1fr));
        margin-left: auto;
        width: 75%;
    }
    .department_section{
      font-size: 1rem;
      width: 98vw;
      /* border: 2px solid black; */
    }
    .insurance-container{
      font-size: 1rem;
    }
    .grid-gallery-container {
      grid-template-columns: repeat(1, 1fr);
      /* grid-template-rows: repeat(6, 1fr); */
    }

    .grid-gallery-item {
      grid-column: span 1;
    }
}

@media (max-width: 600px) {
  .grid-container {
      grid-template-columns: repeat(auto-fit, minmax(50%, 1fr));
  }
  .insurance-container{
    font-size: 1rem;
  }
  .grid-gallery-container {
    grid-template-columns: repeat(1, 1fr);
    /* grid-template-rows: repeat(6, 1fr); */
  }

  .grid-gallery-item {
    grid-column: span 1;
  }
  .contact-form{
    width: 85%;
  }
}


@media (min-width: 1000px) {
  .grid-container {
      grid-template-columns: repeat(4, minmax(25%, 1fr));
      /* background-color: black; */
  }
}